## DhSettingsBuilder DhSettingsBuilder — Builds DhSettings objects |

## Functions

DhSettingsBuilder * | dh_settings_builder_new ()
void | dh_settings_builder_set_contents_path ()
void | dh_settings_builder_set_fonts_path ()
DhSettings * | dh_settings_builder_create_object ()

## Types and Values

struct | DhSettingsBuilder

## Object Hierarchy

        GObject
        ╰── DhSettingsBuilder

## Includes

    #include <devhelp/devhelp.h>

## Description

DhSettingsBuilder permits to build DhSettings objects.

The GSettings schemas provided by the libdevhelp are relocatable. So the paths need to be provided. If a path for a certain schema is not provided to the DhSettingsBuilder with the set function, the default path for that schema will be used. The default paths are the paths common with the Devhelp application.

Why are the schemas relocatable? Because different major versions of libdevhelp must be parallel-installable, so the schema IDs must necessarily be different (they must contain the API/major version), but for users to not lose all their settings when there is a new major version of libdevhelp, the schemas – if still compatible – can be relocated to an old common path (common to several major versions of libdevhelp or to an application). If a schema becomes incompatible, the compatible keys can be migrated individually with dconf (see the DhDconfMigration utility class in the libdevhelp source code).

## Functions

### dh_settings_builder_new ()

    DhSettingsBuilder *
    dh_settings_builder_new (void);

#### Returns

a new DhSettingsBuilder.

[transfer full]

Since: 3.30

### dh_settings_builder_set_contents_path ()

    void
    dh_settings_builder_set_contents_path (DhSettingsBuilder *builder,
                                           const gchar *contents_path);

Sets the path for the "contents" schema.

If you don't call this function, the default path for this schema will be used.

#### Parameters

builder | a DhSettingsBuilder. |
contents_path | the path for the "contents" schema. |

Since: 3.30

### dh_settings_builder_set_fonts_path ()

    void
    dh_settings_builder_set_fonts_path (DhSettingsBuilder *builder,
                                        const gchar *fonts_path);

Sets the path for the "fonts" schema.

If you don't call this function, the default path for this schema will be used.

#### Parameters

builder | a DhSettingsBuilder. |
fonts_path | the path for the "fonts" schema. |

Since: 3.30

### dh_settings_builder_create_object ()

    DhSettings *
    dh_settings_builder_create_object (DhSettingsBuilder *builder);

#### Parameters

builder | a DhSettingsBuilder. |

#### Returns

the newly created DhSettings object.

[transfer full]

Since: 3.30

## Types and Values

### struct DhSettingsBuilder

    struct DhSettingsBuilder;